Office Mac 11

Reported by Gelas on 2011-03-12
66
This bug affects 11 people
Affects Status Importance Assigned to Milestone
Excel2LaTeX
High
Kirill Müller

Bug Description

The V2.0 is working pretty well on it.

But can't make it work for V3.0 (nor 2.1, 2.2, 2.3).

At first when I select it from add-ins (macro complémentaire in french), there is a first message:
"Can't find project or library" ("projet ou bibliothèque introuvable" in FR) then it is asking to select some VBA references..

Then when I try to launch it, I have this error message:
Microsoft Visual Basic
Execution Error 5 : Incorrect argument or call of procedure
(Erreur d'éxecution 5: Argument ou appel de procédure incorrect)

Then asking: End or debug.

When debug, it goes to "VBA project (Excel2LaTeX.xla) > Modules > Factory > and then an arrow and highlights indicate the line:
"NewDefaultModel.InitDefault"

Do you have any idea? I really wish I could use V3 which I have seen running on Windows and brings really nice advances (booktabs and many things!!)

Thanks a lot for your work!

Sincerely yours,

H.

Related branches

I have the exact same problem. I am using version 14.1.0 of Office 2011. TLikewise, version 2.0 of excel2latex works perfectly.

Thanks for your help

JB

Kirill Müller (krlmlr) wrote :

Sorry for the late reply.

Please try the current version in trunk (lp:excel2latex). It will be uploaded to CTAN in a few days, too. If the problem persists, I'll try to get access to a Mac to reproduce the problem.

I'm afraid the problems persists with me.
If you need further details, I'd be glad to help
JB

Gelas (hadrien-gelas) wrote :

Thanks a lot, but as for JB, it is the same with me, exactly as described in my first post.

Best regards,

H.

Martin Einhorn (mbeinhorn) wrote :

Hello,
I confirm the same problem reported here by others.
I am running Excel for Mac 2011 on SnowLeopard (OS X 10.6.7).
Martin

Justin Dove (jedidove) wrote :

I have the same problem. Office 2011 Mac OSX 10.6.7. It appears in the VB editor but there are no buttons or menu items anywhere. I am using the latest version from CTAN (3.1?).

M (ytzemih) wrote :

Same problem, Office 2011 Mac OS X 10.6.8. Add-in seems not be registered when loaded. No buttons in any ribon.

Kirill Müller (krlmlr) wrote :

Sorry for keeping this open for so long. Finally I've been able to get access to a Mac with Office 11. A fix will follow.

Changed in excel2latex:
assignee: nobody → Kirill Müller (mail-kirill-mueller)
importance: Undecided → High
status: New → In Progress
Kirill Müller (krlmlr) wrote :

Could you please check the fixed version at the URL below. I'll make an official release if the fix turns out to solve the problem.

Also, please note that I was unable to write code that would automatically add buttons to the toolbar in Office Mac 11. You can easily add the buttons yourself, just link them to the macros Conversion.LaTeX (shows the dialog) and Conversion.LaTeXAllToFiles (converts all previously configured).

http://bazaar.launchpad.net/~mail-kirill-mueller/excel2latex/3.2a/download/head:/excel2latex.xla-20100916081136-dcja3a0nymb37x0w-4/Excel2LaTeX.xla

Changed in excel2latex:
status: In Progress → Fix Committed
Kirill Müller (krlmlr) on 2011-11-15
Changed in excel2latex:
milestone: none → 3.2
Menno de Haas (menno-dehaas) wrote :

Still not working. When I select an empty cell an run the macro, I can see the conversion screen.
Otherwise, I see a Run time error '13'. Type mismatch.

The macro crashes on the following line:

Private Sub ConvertSelection()
                If mbIgnoreControlEvents Then Exit Sub
====> txtResult.Text = mModel.GetConversionResult
                txtResult.SetFocus
End Sub

Brian Ade (bjade84) wrote :

Thanks for supporting us. I am able confirm menno-dehaas's error. I get the same error using the new version.

Kirill Müller (krlmlr) wrote :

What do you mean by "otherwise"? Is it that you select cells with contents, and then the macro crashes?

Brian Ade (bjade84) wrote :

He means that the Excel2LaTeX starts up correctly when an empty cell is or a range of empty cells are selected.
When the cells have contents, the aforementioned error message is received.

Kirill Müller (krlmlr) wrote :

Thanks again for your patience. I fixed this and a couple of other issues on Mac. Please download the current test release using the link below.

There seems to be an issue with the "Browse..." button. However, you should be able to specify a file name by entering its full or relative path into the text box.

Anyone willing to take care of fixing the remaining (or possible future) issues with Office Mac is kindly invited to grab a branch and start hacking!

http://bazaar.launchpad.net/~mail-kirill-mueller/excel2latex/3.2b/download/mail%40my-name.de-20111202204145-in3bcekdfynlf2c3/excel2latex.xla-20100916081136-dcja3a0nymb37x0w-4/Excel2LaTeX.xla

Brian Ade (bjade84) wrote :

Thanks a lot for the update, works like a charm!

Thank you so much! It seems to be working great!

On Tue, Dec 13, 2011 at 7:48 AM, Brian Ade <email address hidden>wrote:

> Thanks a lot for the update, works like a charm!
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/733845
>
> Title:
> Office Mac 11
>
> Status in Excel2LaTeX:
> Fix Committed
>
> Bug description:
> The V2.0 is working pretty well on it.
>
> But can't make it work for V3.0 (nor 2.1, 2.2, 2.3).
>
> At first when I select it from add-ins (macro complémentaire in french),
> there is a first message:
> "Can't find project or library" ("projet ou bibliothèque introuvable" in
> FR) then it is asking to select some VBA references..
>
> Then when I try to launch it, I have this error message:
> Microsoft Visual Basic
> Execution Error 5 : Incorrect argument or call of procedure
> (Erreur d'éxecution 5: Argument ou appel de procédure incorrect)
>
> Then asking: End or debug.
>
> When debug, it goes to "VBA project (Excel2LaTeX.xla) > Modules > Factory
> > and then an arrow and highlights indicate the line:
> "NewDefaultModel.InitDefault"
>
> Do you have any idea? I really wish I could use V3 which I have seen
> running on Windows and brings really nice advances (booktabs and many
> things!!)
>
> Thanks a lot for your work!
>
> Sincerely yours,
>
> H.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/excel2latex/+bug/733845/+subscriptions
>

Justin Dove (jedidove) wrote :

The only thing thats bothering me is that under "Format" there are two
convert options. "Convert table to LaTeX" and "Convert Table to Latex". The
latter throws an error about excel2latex.xla already being open. The former
works fine, but I can't figure out how to get rid of the second one. Any
ideas? I made sure my add-in list only has one copy.

On Tue, Dec 13, 2011 at 1:56 PM, Justin Dove <email address hidden> wrote:

> Thank you so much! It seems to be working great!
>
>
> On Tue, Dec 13, 2011 at 7:48 AM, Brian Ade <email address hidden>wrote:
>
>> Thanks a lot for the update, works like a charm!
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/733845
>>
>> Title:
>> Office Mac 11
>>
>> Status in Excel2LaTeX:
>> Fix Committed
>>
>> Bug description:
>> The V2.0 is working pretty well on it.
>>
>> But can't make it work for V3.0 (nor 2.1, 2.2, 2.3).
>>
>> At first when I select it from add-ins (macro complémentaire in french),
>> there is a first message:
>> "Can't find project or library" ("projet ou bibliothèque introuvable" in
>> FR) then it is asking to select some VBA references..
>>
>> Then when I try to launch it, I have this error message:
>> Microsoft Visual Basic
>> Execution Error 5 : Incorrect argument or call of procedure
>> (Erreur d'éxecution 5: Argument ou appel de procédure incorrect)
>>
>> Then asking: End or debug.
>>
>> When debug, it goes to "VBA project (Excel2LaTeX.xla) > Modules >
>> Factory > and then an arrow and highlights indicate the line:
>> "NewDefaultModel.InitDefault"
>>
>> Do you have any idea? I really wish I could use V3 which I have seen
>> running on Windows and brings really nice advances (booktabs and many
>> things!!)
>>
>> Thanks a lot for your work!
>>
>> Sincerely yours,
>>
>> H.
>>
>> To manage notifications about this bug go to:
>> https://bugs.launchpad.net/excel2latex/+bug/733845/+subscriptions
>>
>
>

Kirill Müller (krlmlr) wrote :

Thanks for the feedback.

Justin: The wording of the said menu entry has changed, it reads now "Convert table to LaTeX", and hence the second option throws an error. I remember seeing an option to customize menus in Excel on the Mac. Try removing the wrong menu entry and see if it reappears.

Justin Dove (jedidove) wrote :

That's the problem. I can't seem to figure out how to remove the menu item.

On Wed, Dec 14, 2011 at 3:43 AM, Kirill Müller <email address hidden>wrote:

> Thanks for the feedback.
>
> Justin: The wording of the said menu entry has changed, it reads now
> "Convert table to LaTeX", and hence the second option throws an error. I
> remember seeing an option to customize menus in Excel on the Mac. Try
> removing the wrong menu entry and see if it reappears.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/733845
>
> Title:
> Office Mac 11
>
> Status in Excel2LaTeX:
> Fix Committed
>
> Bug description:
> The V2.0 is working pretty well on it.
>
> But can't make it work for V3.0 (nor 2.1, 2.2, 2.3).
>
> At first when I select it from add-ins (macro complémentaire in french),
> there is a first message:
> "Can't find project or library" ("projet ou bibliothèque introuvable" in
> FR) then it is asking to select some VBA references..
>
> Then when I try to launch it, I have this error message:
> Microsoft Visual Basic
> Execution Error 5 : Incorrect argument or call of procedure
> (Erreur d'éxecution 5: Argument ou appel de procédure incorrect)
>
> Then asking: End or debug.
>
> When debug, it goes to "VBA project (Excel2LaTeX.xla) > Modules > Factory
> > and then an arrow and highlights indicate the line:
> "NewDefaultModel.InitDefault"
>
> Do you have any idea? I really wish I could use V3 which I have seen
> running on Windows and brings really nice advances (booktabs and many
> things!!)
>
> Thanks a lot for your work!
>
> Sincerely yours,
>
> H.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/excel2latex/+bug/733845/+subscriptions
>

Justin Dove (jedidove) wrote :

I take it back. I was able to figure it out, and it hasn't come back yet.
Thanks again!

On Wed, Dec 14, 2011 at 1:19 PM, Justin Dove <email address hidden> wrote:

> That's the problem. I can't seem to figure out how to remove the menu item.
>
>
> On Wed, Dec 14, 2011 at 3:43 AM, Kirill Müller <email address hidden>wrote:
>
>> Thanks for the feedback.
>>
>> Justin: The wording of the said menu entry has changed, it reads now
>> "Convert table to LaTeX", and hence the second option throws an error. I
>> remember seeing an option to customize menus in Excel on the Mac. Try
>> removing the wrong menu entry and see if it reappears.
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/733845
>>
>> Title:
>> Office Mac 11
>>
>> Status in Excel2LaTeX:
>> Fix Committed
>>
>> Bug description:
>> The V2.0 is working pretty well on it.
>>
>> But can't make it work for V3.0 (nor 2.1, 2.2, 2.3).
>>
>> At first when I select it from add-ins (macro complémentaire in french),
>> there is a first message:
>> "Can't find project or library" ("projet ou bibliothèque introuvable" in
>> FR) then it is asking to select some VBA references..
>>
>> Then when I try to launch it, I have this error message:
>> Microsoft Visual Basic
>> Execution Error 5 : Incorrect argument or call of procedure
>> (Erreur d'éxecution 5: Argument ou appel de procédure incorrect)
>>
>> Then asking: End or debug.
>>
>> When debug, it goes to "VBA project (Excel2LaTeX.xla) > Modules >
>> Factory > and then an arrow and highlights indicate the line:
>> "NewDefaultModel.InitDefault"
>>
>> Do you have any idea? I really wish I could use V3 which I have seen
>> running on Windows and brings really nice advances (booktabs and many
>> things!!)
>>
>> Thanks a lot for your work!
>>
>> Sincerely yours,
>>
>> H.
>>
>> To manage notifications about this bug go to:
>> https://bugs.launchpad.net/excel2latex/+bug/733845/+subscriptions
>>
>
>

boburban (urban-48) wrote :

Justin, how were you able to remove the extra menu items? Thanks!

Justin Dove (jedidove) wrote :

I'm not at my computer right now, but there is as option for editing
toolbars/menu bars or something. I think it's under tools. The kicker is
that it brings up a small EXTRA menu bar copy that sits below the real menu
bar (this is what I missed at first...didn't even notice it) in addition to
the standard edit preference window that pops up in the center of the
screen. You can then click format on the phony copy menu bar and drag the
old item out. After that's done you click OK on the preference window and
its all set.
On Dec 28, 2011 9:30 PM, "boburban" <email address hidden> wrote:

> Justin, how were you able to remove the extra menu items? Thanks!
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/733845
>
> Title:
> Office Mac 11
>
> Status in Excel2LaTeX:
> Fix Committed
>
> Bug description:
> The V2.0 is working pretty well on it.
>
> But can't make it work for V3.0 (nor 2.1, 2.2, 2.3).
>
> At first when I select it from add-ins (macro complémentaire in french),
> there is a first message:
> "Can't find project or library" ("projet ou bibliothèque introuvable" in
> FR) then it is asking to select some VBA references..
>
> Then when I try to launch it, I have this error message:
> Microsoft Visual Basic
> Execution Error 5 : Incorrect argument or call of procedure
> (Erreur d'éxecution 5: Argument ou appel de procédure incorrect)
>
> Then asking: End or debug.
>
> When debug, it goes to "VBA project (Excel2LaTeX.xla) > Modules > Factory
> > and then an arrow and highlights indicate the line:
> "NewDefaultModel.InitDefault"
>
> Do you have any idea? I really wish I could use V3 which I have seen
> running on Windows and brings really nice advances (booktabs and many
> things!!)
>
> Thanks a lot for your work!
>
> Sincerely yours,
>
> H.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/excel2latex/+bug/733845/+subscriptions
>

boburban (urban-48) wrote :

Great, thanks Justin!

DK (cypreess) wrote :

I've read all this topic but still no luck with using excel2latex on Mac Office Excel 2011, v. 14.1.14 (eng)

I've download last mentioned here version of script: 3.2b from
http://bazaar.launchpad.net/~mail-kirill-mueller/excel2latex/3.2b/download/mail%40my-name.de-20111202204145-in3bcekdfynlf2c3/excel2latex.xla-20100916081136-dcja3a0nymb37x0w-4/Excel2LaTeX.xla

Added it via Tools->Add-ins and there is no extra ribbon (I've checked preferences and enable all ribons there). I opened Tools->Macro->Visual Basic Editor and I see VBAProject ( Excel2LaTeX.xla) there and can browse source.

But thats it. Any ideas?

DK (cypreess) wrote :

UPDATE: after messing around with it finally shows options in Format->Convert to... (really don't know how, many excels restart, plugin on/off, etc) , and seems it's working but its window looks strange.

fracarz (fracarz) wrote :

I had the same problem. After the installation no extra ribbons were available. I solved the problem by double clicking on the excel2latex.xla file with "excel closed". This probably allowed to create the option "Convert to..." into the Format menu.

Now the macro works but "very very slow". After invoking the "Convert to..." command, the window with the latex code appears after at least 15 seconds but often after 30 seconds. Moreover, the same time it is required just to check or uncheck one of options (like "Create table environment", "Convert $...") inside the window (probably because these options recreate the latex code). How come?
(more info: the table size are 20x10, I am using snow leaopard and office 2011, the macro is fast on an empty table and unchecking the "Convert $..." did not help me).

Kirill Müller (krlmlr) wrote :

@fracarz: Thank you for reporting. Would you please open a new bug for the performance issue?

Kirill Müller (krlmlr) wrote :

@DK (cypreess): I'm afraid I'm not going to be able to improve the window's appearance. Office.Mac VBA programmers, please help :-)

Everything looks OK. Open file, enable Macro, appears in 'Add-ins' list, can check it, but no menu item under 'tools' appears. If you check 'solver' it then appear in the 'tools' menu.

Sorry, using Excel 14.1.4 under Mac OSX 10.6.8.

One final note. On Excel 14.1.4 there is no 'Add-ins' ribbon. There is a 'Data' ribbon. 'Solver' appears there, but no Excel2LaTeX.

Kirill Müller (krlmlr) on 2012-09-27
Changed in excel2latex:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers